alias curl="curl -L"
alias find=bfs
alias rm="rm -v"
alias watch="watch " # allow aliases in watch

alias ip="ip -c"
alias ipa="ip -br a"
alias ipl="ip -br l"
alias ip6="ip -6 a|grep -E -v -B 1 -e 'scope (link|host)' -e valid_lft -e '^[0-9]*:' --color=no"
alias ipr="ip r"

alias k="kubectl"
alias kns="kubens"
alias kctx="kubectx"

genpass() {
	dd status=none if=/dev/urandom bs=2048 count=1|LANG=C.UTF-8 grep -Pao '[a-zA-Z0-9]'|tail -n "$1"|tr -d '\n';echo
}

alias git-amend-push="git commit --amend -a --no-edit && git push --force-with-lease"
alias flux-watch="watch flux get kustomization\;echo\;kubectl get helmrelease,cluster,sts,deploy,pod,pvc"
alias flux-refresh="flux reconcile source git flux-system"
alias flux-amend-push="git-amend-push && flux-refresh && flux-watch"
